package shapes;

public class Circle extends Shape {
	private double r;
	
	public Circle(String name, double r) {
		super(name);
		this.r = r;
	}
	

	@Override
	public String toString() {
		return "Circle [r=" + r + " area:" + getArea() + "]";
	}

	@Override
	public double getArea() {
		return this.r*this.r * Math.PI;
	}

}
